﻿<Actions ScreenID="SO302000">
    <Action IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" ActionName="initializeState" ActionType="G" After="Last" BatchMode="False" WindowMode="S" HideCondition="True" ExposedToMobile="False">
        <StateActionFields />
        <StateActionParams />
    </Action>
    <Action IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" ActionName="releaseFromHold" ActionType="G" After="initializeState" BatchMode="False" MenuFolderType="Processing Category" WindowMode="S" ExposedToMobile="False">
        <StateActionFields />
        <StateActionParams />
    </Action>
    <Action IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" ActionName="putOnHold" ActionType="G" After="confirmShipmentAction" AfterInMenu="releaseFromHold" BatchMode="False" MenuFolderType="Processing Category" WindowMode="S" ExposedToMobile="False">
        <StateActionFields />
        <StateActionParams />
    </Action>
    <Action IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" ActionName="confirmShipmentAction" ActionType="G" After="putOnHold" DisableCondition="ab7d52e4-6f3c-9405-8c2d-b1ce9ad829b0" MassProcessingScreen="SO503000" BatchMode="True" MenuFolderType="Processing Category" WindowMode="S" ExposedToMobile="False">
        <StateActionFields />
        <StateActionParams />
    </Action>
    <Action IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" ActionName="createInvoice" ActionType="G" After="confirmShipmentAction" DisableCondition="2a1678f0-0540-ff87-6702-940dab033736" MassProcessingScreen="SO503000" BatchMode="True" MenuFolderType="Processing Category" WindowMode="S" ExposedToMobile="False">
        <StateActionFields />
        <StateActionParams />
    </Action>
    <Action IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" ActionName="createDropshipInvoice" ActionType="G" After="createInvoice" MassProcessingScreen="SO503000" BatchMode="True" MenuFolderType="Processing Category" WindowMode="S" ExposedToMobile="False">
        <StateActionFields />
        <StateActionParams />
    </Action>
    <Action IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" ActionName="correctShipmentAction" ActionType="G" After="createDropshipInvoice" DisableCondition="bb5fe564-b749-0c41-9c03-834a15d85317" BatchMode="False" MenuFolderType="Processing Category" WindowMode="S" ExposedToMobile="False">
        <StateActionFields />
        <StateActionParams />
    </Action>
    <Action IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" ActionName="generatePOReceipt" ActionType="G" After="correctShipmentAction" DisableCondition="bb5fe564-b749-0c41-9c03-834a15d85317" BatchMode="False" MenuFolderType="Intercompany Category" WindowMode="S" HideCondition="b1910c9e-6d1d-2573-13f7-ec5ddb636f24" ExposedToMobile="False">
        <StateActionFields />
        <StateActionParams />
    </Action>
    <Action IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" ActionName="printPickListAction" ActionType="G" After="generatePOReceipt" MassProcessingScreen="SO503000" BatchMode="True" MenuFolderType="Printing and Emailing Category" WindowMode="S" ExposedToMobile="False">
        <StateActionFields />
        <StateActionParams />
    </Action>
    <Action IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" ActionName="printShipmentConfirmation" ActionType="G" After="printPickListAction" MassProcessingScreen="SO503000" BatchMode="True" MenuFolderType="Printing and Emailing Category" WindowMode="S" ExposedToMobile="False">
        <StateActionFields>
            <StateActionField IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" FieldName="ConfirmationPrinted" ActionName="printShipmentConfirmation" IsFromScheme="True" Value="True" StateActionFieldLineNbr="0" />
        </StateActionFields>
        <StateActionParams />
    </Action>
    <Action IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" ActionName="emailShipment" ActionType="G" After="printShipmentConfirmation" MassProcessingScreen="SO503000" BatchMode="False" MenuFolderType="Printing and Emailing Category" WindowMode="S" ExposedToMobile="False">
        <StateActionFields />
        <StateActionParams />
    </Action>
    <Action IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" ActionName="printLabels" ActionType="G" After="emailShipment" MassProcessingScreen="SO503000" BatchMode="True" MenuFolderType="Labels Category" WindowMode="S" ExposedToMobile="False">
        <StateActionFields />
        <StateActionParams />
    </Action>
    <Action IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" ActionName="getReturnLabelsAction" ActionType="G" After="printLabels" BatchMode="False" MenuFolderType="Labels Category" WindowMode="S" ExposedToMobile="False">
        <StateActionFields />
        <StateActionParams />
    </Action>
    <Action IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" ActionName="UpdateIN" ActionType="G" After="getReturnLabelsAction" MassProcessingScreen="SO503000" BatchMode="True" MenuFolderType="Other Category" WindowMode="S" ExposedToMobile="False">
        <StateActionFields />
        <StateActionParams />
    </Action>
    <Action IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" ActionName="cancelReturn" ActionType="G" After="UpdateIN" BatchMode="False" MenuFolderType="Other Category" WindowMode="S" ExposedToMobile="False">
        <StateActionFields />
        <StateActionParams />
    </Action>
    <Action IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" ActionName="validateAddresses" ActionType="G" After="cancelReturn" BatchMode="False" MenuFolderType="Other Category" WindowMode="S" ExposedToMobile="False">
        <StateActionFields />
        <StateActionParams />
    </Action>
    <Action IsActive="True" ActionName="DeliveryReceipt" ActionType="R" DestinationScreenID="BIRSO004" DisplayName="Print Delivery Receipt BIR" MenuFolderType="Report" WindowMode="W" MapEnableRights="1" ExposedToMobile="False">
        <Param IsActive="True" Value="[ShipmentNbr]" ActionName="DeliveryReceipt" Name="ShipmentNbr" FromSchema="False" />
        <StateActionFields />
        <StateActionParams />
    </Action>
    <Action IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" ActionName="UnlinkFromWorksheet" ActionType="G" After="validateAddresses" BatchMode="False" MenuFolderType="Pick List" WindowMode="S" ExposedToMobile="False">
        <StateActionFields />
        <StateActionParams />
    </Action>
    <Category IsActive="True" IsSystem="True" IsCustomized="True" IsCustomizedRecursive="False" DisplayName="Actions" CategoryName="Action" LineNbr="0">
        <OriginalState IsActive="True" DisplayName="Actions" CategoryName="Action" />
    </Category>
    <Category IsActive="True" IsSystem="True" IsCustomized="True" IsCustomizedRecursive="False" DisplayName="Inquiries" CategoryName="Inquiry" After="Action" LineNbr="1">
        <OriginalState IsActive="True" DisplayName="Inquiries" CategoryName="Inquiry" After="Action" />
    </Category>
    <Category IsActive="True" IsSystem="True" IsCustomized="True" IsCustomizedRecursive="False" DisplayName="Reports" CategoryName="Report" After="Inquiry" LineNbr="2">
        <OriginalState IsActive="True" DisplayName="Reports" CategoryName="Report" After="Inquiry" />
    </Category>
    <Category IsActive="True" IsSystem="True" IsCustomized="True" IsCustomizedRecursive="False" DisplayName="Processing" CategoryName="Processing Category" After="Report" LineNbr="3">
        <OriginalState IsActive="True" DisplayName="Processing" CategoryName="Processing Category" After="Report" />
    </Category>
    <Category IsActive="True" IsSystem="True" IsCustomized="True" IsCustomizedRecursive="False" DisplayName="Intercompany" CategoryName="Intercompany Category" After="Pick List" LineNbr="4">
        <OriginalState IsActive="True" DisplayName="Intercompany" CategoryName="Intercompany Category" After="Pick List" />
    </Category>
    <Category IsActive="True" IsSystem="True" IsCustomized="True" IsCustomizedRecursive="False" DisplayName="Printing and Emailing" CategoryName="Printing and Emailing Category" After="Intercompany Category" LineNbr="5">
        <OriginalState IsActive="True" DisplayName="Printing and Emailing" CategoryName="Printing and Emailing Category" After="Intercompany Category" />
    </Category>
    <Category IsActive="True" IsSystem="True" IsCustomized="True" IsCustomizedRecursive="False" DisplayName="Labels" CategoryName="Labels Category" After="Printing and Emailing Category" LineNbr="6">
        <OriginalState IsActive="True" DisplayName="Labels" CategoryName="Labels Category" After="Printing and Emailing Category" />
    </Category>
    <Category IsActive="True" IsSystem="True" IsCustomized="True" IsCustomizedRecursive="False" DisplayName="Other" CategoryName="Other Category" After="Labels Category" LineNbr="7">
        <OriginalState IsActive="True" DisplayName="Other" CategoryName="Other Category" After="Labels Category" />
    </Category>
    <Category IsActive="True" IsSystem="True" IsCustomized="True" IsCustomizedRecursive="False" DisplayName="Pick List" CategoryName="Pick List" After="Processing Category" LineNbr="8">
        <OriginalState IsActive="True" DisplayName="Pick List" CategoryName="Pick List" After="Processing Category" />
    </Category>
</Actions>